import nlcpy as vp
vp.logspace(2.0, 3.0, num=4)  # doctest: +SKIP
# array([ 100.        ,  215.443469  ,  464.15888336, 1000.        ])
vp.logspace(2.0, 3.0, num=4, endpoint=False) # doctest: +SKIP
# array([100.        , 177.827941  , 316.22776602, 562.34132519])
vp.logspace(2.0, 3.0, num=4, base=2.0) # doctest: +SKIP
# array([4.        , 5.0396842 , 6.34960421, 8.        ])

# Graphical illustration:

import matplotlib.pyplot as plt
N = 10
x1 = vp.logspace(0.1, 1, N, endpoint=True)
x2 = vp.logspace(0.1, 1, N, endpoint=False)
y = vp.zeros(N)
plt.plot(x1, y, 'o') # doctest: +SKIP
plt.plot(x2, y + 0.5, 'o') # doctest: +SKIP
plt.ylim([-0.5, 1])
# (-0.5, 1.0)
plt.show()
