import nlcpy as vp
nx, ny = (3, 2)
x = vp.linspace(0, 1, nx)
y = vp.linspace(0, 1, ny)
xv, yv = vp.meshgrid(x, y)
xv
# array([[0. , 0.5, 1. ],
# [0. , 0.5, 1. ]])
yv
# array([[0., 0., 0.],
# [1., 1., 1.]])
xv, yv = vp.meshgrid(x, y, sparse=True)  # make sparse output arrays
xv
# array([[0. , 0.5, 1. ]])
yv
# array([[0.],
# [1.]])

# meshgrid is very useful to evaluate functions on a grid.

import matplotlib.pyplot as plt
x = vp.arange(-5, 5, 0.1)
y = vp.arange(-5, 5, 0.1)
xx, yy = vp.meshgrid(x, y, sparse=True)
z = vp.sin(xx**2 + yy**2) / (xx**2 + yy**2)
h = plt.contourf(x,y,z)
plt.show()
