# Draw samples from the distribution:

import nlcpy as vp
rng = vp.random.default_rng()
mu, beta = 0, 0.1 # location and scale
s = rng.gumbel(mu, beta, 1000)

# Display the histogram of the samples, along with the probability
# density function:

import matplotlib.pyplot as plt
count, bins, ignored = plt.hist(s.get(), 30, density=True)
plt.plot(bins, (1/beta)*vp.exp(-(bins - mu)/beta)
         * vp.exp( -vp.exp( -(bins - mu) /beta) ),
         linewidth=2, color='r') # doctest: +SKIP
# doctest: +ELLIPSIS
plt.show()

# Show how an extreme value distribution can arise from a Gaussian
# process and compare to a Gaussian:

plt.close()
maxima = vp.empty(1000)
for i in range(0,1000) :
   a = rng.normal(mu, beta, 1000)
   maxima[i] = a.max()
count, bins, ignored = plt.hist(maxima.get(), 30, density=True)
beta = vp.std(maxima) * vp.sqrt(6) / vp.pi
mu = vp.mean(maxima) - 0.57721*beta
plt.plot(bins, (1/beta)*vp.exp(-(bins - mu)/beta)
         * vp.exp(-vp.exp(-(bins - mu)/beta)),
         linewidth=2, color='r') # doctest: +SKIP
# doctest: +ELLIPSIS
plt.plot(bins, 1/(beta * vp.sqrt(2 * vp.pi))
         * vp.exp(-(bins - mu)**2 / (2 * beta**2)),
         linewidth=2, color='g') # doctest: +SKIP
# doctest: +ELLIPSIS
plt.show()
