# Draw samples from the distribution:

import nlcpy as vp
shape, scale = 2., 2.  # mean=4, std=2*sqrt(2)
s = vp.random.default_rng().gamma(shape, scale, 1000)

# Display the histogram of the samples, along with the probability
# density function:

import matplotlib.pyplot as plt
import scipy.special as sps
count, bins, ignored = plt.hist(s.get(), 50, density=True)
y = bins**(shape-1)*(vp.exp(-bins/scale)/(sps.gamma(shape)*scale**shape))
plt.plot(bins, y, linewidth=2, color='r') # doctest: +SKIP
plt.show()
