# Draw samples from the distribution:

import nlcpy as vp
rng = vp.random.default_rng()
mu, sigma = 3., 1. # mean and standard deviation
s = rng.lognormal(mu, sigma, 1000)

# Display the histogram of the samples, along with the probability
# density function:

import matplotlib.pyplot as plt
count, bins, ignored = plt.hist(s.get(), 100, density=True, align='mid')

x = vp.linspace(min(bins), max(bins), 10000)
pdf = (vp.exp(-(vp.log(x) - mu)**2 / (2 * sigma**2))
       / (x * sigma * vp.sqrt(2 * vp.pi)))

plt.plot(x, pdf, linewidth=2, color='r') # doctest: +SKIP
# doctest: +ELLIPSIS
plt.axis('tight') # doctest: +SKIP
plt.show()
