# Draw samples from the distribution:

import nlcpy as vp
mu, sigma = 0, 0.1 # mean and standard deviation
s = vp.random.normal(mu, sigma, 1000)

# Verify the mean and the variance:

abs(mu - vp.mean(s)) # doctest: +SKIP
# array(0.00206415)  # may vary
abs(sigma - vp.std(s, ddof=1)) # doctest: +SKIP
# array(0.00133596)  # may vary

# Display the histogram of the samples, along with the probability
# density function:

import matplotlib.pyplot as plt
count, bins, ignored = plt.hist(s.get(), 30, density=True)
plt.plot(bins, 1/(sigma * vp.sqrt(2 * vp.pi)) *
         vp.exp( - (bins - mu)**2 / (2 * sigma**2) ),
         linewidth=2, color='r') # doctest: +SKIP
plt.show()

# Two-by-four array of samples from N(3, 6.25):

vp.random.normal(3, 2.5, size=(2, 4))    # doctest: +SKIP
# array([[-4.49401501,  4.00950034, -1.81814867,  7.29718677],   # random
# [ 0.39924804,  4.68456316,  4.99394529,  4.84057254]])  # random
